Fixed a change of the latest changeset.

Fri, 06 Jan 2017 18:28:14 +0100

author
Detlev Offenbach <detlev@die-offenbachs.de>
date
Fri, 06 Jan 2017 18:28:14 +0100
changeset 5401
dbbbd94aec0b
parent 5400
5cdca61d8cd8
child 5402
ce21a78a5fcf

Fixed a change of the latest changeset.

Globals/__init__.py file | annotate | diff | comparison | revisions
--- a/Globals/__init__.py	Fri Jan 06 18:22:02 2017 +0100
+++ b/Globals/__init__.py	Fri Jan 06 18:28:14 2017 +0100
@@ -80,8 +80,7 @@
     # check version of sip
     try:
         import sip
-        sip_version_str = sip.SIP_VERSION_STR
-    except (ImportError, AttributeError):
+        sipVersion = sip.SIP_VERSION_STR
         # always assume, that snapshots are good
         if "snapshot" not in sipVersion:
             # check for blacklisted versions
@@ -92,6 +91,8 @@
                         .format(vers))
                     print('Please install another version.')
                     return False
+    except (ImportError, AttributeError):
+        pass
     
     # check version of PyQt
     from PyQt5.QtCore import PYQT_VERSION_STR

eric ide

mercurial